Bug 783514 - Documentation for default barrier setting for EXT3 filesystems in mount manpage is wrong
Documentation for default barrier setting for EXT3 filesystems in mount manpa...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng (Show other bugs)
6.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Karel Zak
Branislav Blaškovič
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 12:09 EST by Frank Danapfel
Modified: 2013-02-21 05:22 EST (History)
6 users (show)

See Also:
Fixed In Version: util-linux-ng-2.17.2-12.8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 05:22:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Danapfel 2012-01-20 12:09:07 EST
Description of problem:
According to the man-page for the mount command EXT3 filesystems are mounted with barriers disabled by default, even tough on RHEL6 barriers are enabled by default for both EXT3 and EXT4 filesystems:

# man mount
...
Mount options for ext3
...
barrier=0 / barrier=1
... The ext3 filesystem does not enable write barriers by default. 
...

This sentence should be changed to:
The ext3 filesystem enables write barriers by default.

Version-Release number of selected component (if applicable):
util-linux-ng-2.17.2-12.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. man mount
2. search for barrier option for EXT3 

Additional Info:
Here's what the default mount options for a EXT3 FS look on one of my RHEL6 systems:
# grep ext3 /proc/mounts
/dev/mapper/vg_cor_scs-lv_cor_scs /usr/sap/COR/SCS00 ext3 rw,relatime,errors=continue,barrier=1,data=ordered 0 0

The FS was monuted with the default options, there is no entry in /etc/fstab specifying that barriers should be enabled for this FS.
Comment 3 Suzanne Yeghiayan 2012-02-14 18:28:44 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 Peter Schiffer 2012-06-13 13:37:35 EDT
mount(8) man page is part of the util-linux-ng package. Changing to the correct component.
Comment 8 Branislav Blaškovič 2012-12-10 08:24:53 EST
Fix verified:
  # rpm -q util-linux-ng
  util-linux-ng-2.17.2-12.8.el6
  
  # man 8 mount
         barrier=0 / barrier=1
              This  enables/disables  barriers.   barrier=0  disables  it, barrier=1 enables it.
              Write barriers enforce proper on-disk ordering of journal commits, making volatile
              disk  write  caches safe to use, at some performance penalty.  The ext3 filesystem
              enables write barriers by default.  Be sure to enable barriers unless  your  disks
              are  battery-backed  one way or another.  Otherwise you risk filesystem corruption
              in case of power failure.
Comment 9 errata-xmlrpc 2013-02-21 05:22:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0517.html

Note You need to log in before you can comment on or make changes to this bug.